package cn.hmsoft.weixin.entity.reply;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import cn.hmsoft.weixin.entity.reply.item.Media;

@XmlRootElement(name = "xml")
@XmlAccessorType(XmlAccessType.FIELD)
public class ImageReply extends WeiXinReply{
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String ToUserName; // 接收者微信号
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String FromUserName; // 发送者微信号
	private Long CreateTime; // 消息创建时间
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String MsgType = "image"; // 消息类型
	
	private Media Image;

	public String getToUserName() {
		return ToUserName;
	}

	public void setToUserName(String toUserName) {
		ToUserName = toUserName;
	}

	public String getFromUserName() {
		return FromUserName;
	}

	public void setFromUserName(String fromUserName) {
		FromUserName = fromUserName;
	}

	public Long getCreateTime() {
		return CreateTime;
	}

	public void setCreateTime(Long createTime) {
		CreateTime = createTime;
	}

	public String getMsgType() {
		return MsgType;
	}

	public void setMsgType(String msgType) {
		MsgType = msgType;
	}

	public Media getImage() {
		return Image;
	}

	public void setImage(Media image) {
		Image = image;
	}

	
	
	
}
